curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Data Pull Preferences
Delete Team Data Pull Preferences
Delete org team data pull preferences via the Junction API. Requires authentication with your team API key.
DELETE
/
v1
/
org
/
{org_id}
/
team_data_pull_preferences
/
{env}
/
{region}
curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.Deleting preferences for a provider will revert to the default settings.
curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Query Parameters
Available options:
oura, fitbit, garmin, strava, withings, peloton, wahoo, zwift, freestyle_libre, abbott_libreview, eight_sleep, renpho, omron, dexcom_v3, hammerhead, polar, cronometer, kardia, whoop_v2, my_fitness_pal_v2, map_my_fitness, runkeeper, apple_health_kit, google_fit, beurer_api, ultrahuman, google_health Response
Successful Response
Was this page helpful?